Subject: RE: Proposed Golden IBIS Parser checks

From: tomda <[email-masked]>
Date: Wed, 4 Nov 1998 16:04:05 -0800

But remember the part may swing only a small fraction of the Vcc supply but other parts on the same bus may have larger swings.  

Also, let's not forget about inductive di/dt.  Voltages could go much more than -Vcc to 2Vcc.

Tom Dagostino

-----Original Message-----
From:	Stephen Peters [SMTP:[email-masked]]
Sent:	Wednesday, November 04, 1998 3:25 PM
To:	Matthew Flora
Cc:	[email-masked]
Subject:	Re: Proposed Golden IBIS Parser checks 

Hello Matthew, D.C.:

   Comments below

        Regards,
        Stephen
> D. C.,
> 
> >> Proposed enhancements:
> >
> >> 2) Generate at least a warning if the Pullup or Pulldown V/I table
> >>    indicates that current is always flowing in one direction.  In other
> >>    words, the V/I table does not have an entry with zero current or, by
> >>    interpolation, the current is never zero in the range of the voltages
> >>    listed.
> >> 
> >>    I think a warning should be generated even if the current would be zero
> >>    when extrapolated to a voltage beyond those listed in the table because
> >>    I believe that V/I tables should be complete and should not force a
> >>    simulator to guess values and, to me, extrapolation beyond the voltages
> >     listed in the table is a guess.
> >
> >If I understand you correctly, you would insist that the tables
> >go at least to the zero-current intercept point.  Thus, for an
> >1.5v device with a weak pullup to 5.0v you'd have the tables go
> >at least to 5v so as to catch the intercept?
> 
> In a word, yes.  If you have a 1.5v buffer which is active all the way up to
> 5v, then it's behavior needs to be described.  I thought V/I tables are
> supposed to show the behavior of the device in its active region, and perhaps
> a bit beyond its active region.  I thought that is why the spec suggests
> generally spanning the voltages between -Vcc and 2Vcc.

Actually, the -Vcc to 2Vcc requirement comes from the fact that this is the 
maximum signal swing on an unterminated transmission line.  If the output
swings 0 - 1.5v then the maximum voltage on the output would be -1.5v to 3.0v. 
However, if the part is intended to live in a 5V signaling environment then
the V/I curves ought to to go from -5v to 10v.

   You know... this is really a defect in the spec.  V/I table endpoints
should be determined not by VCC, but by output swing, as described above.
I feel a bird comming on....

> 
> >> 4) Related to a topic recently discussed on the reflector, I suggest that
> >>    an error be generated if a differential pin (a pin referenced in the
> >>    [Diff pin] section) is connected to one of the reserved models (POWER,
> >>    GND, or NC).
> >
> >This would barf on RS-423
> 
> I am not familiar with RS-423.  Does it have one or more pins whose voltage is
> to be taken differentially to POWER or GND?
> 
> Cheers,
> Matt

---

From: Matthew Flora <[email-masked]>
Date: Wed, 04 Nov 1998 16:20:40 -0100

All,

I think I miscommunicated.  When I was talking about V/I tables that span
-Vcc to 2Vcc, I was using that as an example of how a table may include
voltages which are outside the normal operating region of the part.

The point that I was trying to make is that the V/I table should, AT THE VERY
LEAST, include the voltage span of the buffer's active region.

Cheers,
Matt